﻿* {
    min-height: 0;
}

html,
body,
form,
.body-content,
.all-height {
    height: 100%;
}

.body-content {
    display: grid;
    grid-template-rows: 56px 1fr auto;
    grid-gap: 15px;
}

    .body-content > div {
        display: grid;
    }

/*#region Scroll */
*::-webkit-scrollbar {
    width: 15px;
}

*::-webkit-scrollbar-track {
    background: #e9ecef;
}

*::-webkit-scrollbar-thumb {
    background-color: #eda545;
    border: solid 3px #e9ecef;
    border-radius: 15px;
}

/*#endregion Scroll */

/*#region table-grid*/
table.table-grid {
    display: grid;
    grid-template: auto 1fr auto / auto;
    grid-template-areas: "head" "body" "foot";
    margin-bottom: 0 !important;
}

    table.table-grid > thead {
        grid-area: head;
    }

    table.table-grid > tbody {
        grid-area: body;
        overflow-y: auto;
    }

    table.table-grid > tfoot {
        grid-area: foot;
    }

    table.table-grid th,
    table.table-grid td {
        display: grid;
        align-items: center;
        text-align: center;
        text-transform: capitalize;
        padding: 2px 10px;
    }

    table.table-grid > thead > tr,
    table.table-grid > tbody > tr,
    table.table-grid > tfoot > tr {
        display: grid;
        grid-auto-flow: column;
        grid-auto-columns: 1fr;
    }

    table.table-grid > tbody > tr {
        word-break: break-word;
    }

/*#region Internet Explorer*/
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    table.table-grid {
        display: -ms-grid;
        -ms-grid-rows: auto 1fr auto;
        -ms-grid-columns: 1fr;
    }

        table.table-grid > thead {
            display: flex;
            -ms-flex-direction: column;
        }

        table.table-grid > tbody {
            display: flex;
            -ms-flex-direction: column;
            -ms-grid-row: 2;
        }

        table.table-grid > tfoot {
            display: flex;
            -ms-flex-direction: column;
            -ms-grid-row: 3;
        }

        table.table-grid th,
        table.table-grid td {
            display: inline;
            white-space: nowrap;
            -ms-flex: 1;
        }

        table.table-grid > thead > tr,
        table.table-grid > tbody > tr,
        table.table-grid > tfoot > tr {
            display: flex;
        }

        table.table-grid > tbody > tr {
            white-space: nowrap;
        }
}
/*#endregion*/
/*#endregion*/

/*#region Bootstrap*/
.d-grid {
    display: grid !important;
}

/* sm */
@media (min-width: 576px) {
    .d-sm-grid {
        display: grid !important;
    }
}

/* md */
@media (min-width: 768px) {
    .d-md-grid {
        display: grid !important;
    }
}

/* lg */
@media (min-width: 992px) {
    .d-lg-grid {
        display: grid !important;
    }
}

/* xl */
@media (min-width: 1200px) {
    .d-xl-grid {
        display: grid !important;
    }
}

/* print */
@media print {
    .d-print-grid {
        display: grid !important;
    }
}
/*#endregion*/